## shellia 5.3.2

=== Makefile ===
#        file: Makefile
#   copyright: Bernd Schumacher <bernd.schumacher@hpe.com> (2007-2018)
#     license: GNU General Public License, version 3
# description: build shellia debian package

SHARE    = $(DESTDIR)/usr/share/shellia
TESTS    = $(shell /bin/ls test.*)
EXAMPLES = $(shell /bin/ls example.* | grep -v "tmp")
HELLO    = $(shell /bin/ls hello_world*)
LIBS     = $(shell /bin/ls ia*)

all: shellia

clean:		
	@# to clean debian files, run make clean from parent directory
	@rm -f shellia.?
	@rm -f example*.tmp.* hello_world*.tmp.*
	@rm -f res exp r4s res.org

install: $(LIBS)
	mkdir -p $(SHARE); \
	for i in $^; do \
		install -o root -g root -m 0755 $$i $(SHARE)/; \
	done

shellia: shellia-tested-stamp shellia.1 shellia.3 shellia.7

shellia-tested-stamp: run_tests $(LIBS) $(TESTS) $(EXAMPLES) $(HELLO)
	rm -f $@
	./run_tests && touch $@

shellia.1: shellia-1.rst
	rst2man $< $@

shellia.3: shellia-3.rst
	rst2man $< $@

shellia.7: shellia-7.rst
	rst2man $< $@

dbg:
	@echo "TESTS=<$(TESTS)>"
	@echo "EXAMPLES=<$(EXAMPLES)>"
	@echo "HELLO=<$(HELLO)>"

## shellia 5.1

=== debian/changelog ===
shellia (5.1) unstable; urgency=medium

  * Change Architecture from any to all
  * Change Version to major.minor format (only change major if uncompatible)
  * Fixed using debian/source/format 3.0 (native)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 21 Nov 2018 14:30:10 +0100

shellia (05) unstable; urgency=medium

  * new version for debian

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 21 Nov 2018 13:50:08 +0100

shellia (05~3) unstable; urgency=medium

  * allow ia_stdout and ia_ignore to use "/" in search expression
  * deleted comments in debian/rules
  * improvement in man-pages
  * using debian/format 3.0 (native)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 19 Nov 2018 16:48:17 +0100

shellia (05~2) unstable; urgency=medium

  * Build scripts will use local libs, when testing hello_world* examples
  * shellia now supports scripts that use the nounset option (set -o nounset
    or set -u)
  * Workaround for posh bug #913718 added in test scripts
  * extract ia_ask as separate function

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 14 Nov 2018 16:31:20 +0100

shellia (04) unstable; urgency=medium

  * first version for debian
  * closes: #912577

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 01 Nov 2018 15:17:45 +0100

shellia (03) unstable; urgency=medium

  * simplified debug code
  * changed debug-topic "na" to "none"

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 16 Oct 2018 15:03:47 +0200

shellia (02) unstable; urgency=low

  * many bugs fixed including design bugs

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 11 Oct 2018 14:22:15 +0200

shellia (01) unstable; urgency=low

  * Initial Release.
  * shellia - the interactive shell library is based on a first
    implementation from bootcd

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 23 Apr 2013 10:46:04 +0200

=== debian/control ===
Source: shellia
Section: libs
Priority: optional
Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
Build-Depends: debhelper (>= 9.0.0), dash, busybox, mksh, posh, python-docutils, time
Standards-Version: 3.9.8
Homepage: https://salsa.debian.org/bs/shellia

Package: shellia
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shell interactive library
 shellia is a library that allows one to run shell scripts interactive and
 helps to familiarize oneself with a shell script, find unexpected behaviour
 in the shell script, and run the shell script silently, while checking it
 step by step.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
%:
	dh $@

## shellia 5.2

=== debian/changelog ===
shellia (5.2) unstable; urgency=medium

  * more tests and minor fixes as described in 5.2~1 and 5.2~2.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 24 Dec 2018 09:36:54 +0100

shellia (5.2~2) unstable; urgency=medium

  * add 2 additional tests to example.debug
  * fixed output off " in minimal ia_logerr function in ia.basic
  * fixed rare weak output off command menu in ia.interactive
  * fixed error in r4s file creation in tstlib that happened in rare conditions
  * added test.backslash and example.backslash
  * delete unneeded space in menu list after disabled <-i>
  * fix ia.interactive: posh does not like empty "$@"
  * additional test hello_world scripts with all shells

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 14 Dec 2018 10:24:35 +0100

shellia (5.2~1) unstable; urgency=medium

  * suggest gawk, because this allows even better extended regular
    expressions in ia_stdout and ia_ignore
  * fix wrong number of blanks following -i when toggled from <-i>
  * fix unneeded blank after --- (q)uit (r)edo ... --- message
  * fix unneeded blanks at end of a line in any file
  * added function ia_out, that honors silent option -s
  * fixed function ia_err, to now honor silent option -s
  * added function ia_exiterr, that does not honor silent option -s
  * fixed main Makefile target: clobber to remove all unneeded files
  * added short description for all functions in ia.log
  * fixed ia.log to get unbuffered stdout, stderr, and logfile output
  * added test.buffer and example.buffer to make check unbuffered output
  * fixed ia_log to handle unset ia_logfile and added test/example_only_log
  * added test.ia-s example.ia-s to test more with option -s

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 04 Dec 2018 11:51:28 +0100

## shellia 5.3

=== debian/changelog ===
shellia (5.3) unstable; urgency=medium

  * small fixes as described in 5.3~1 and 5.3~2.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 31 Jan 2019 16:23:23 +0100

shellia (5.3~2) unstable; urgency=medium

  * Fixed: redo input key r was ignored with check option

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 31 Jan 2019 16:17:03 +0100

shellia (5.3~1) unstable; urgency=medium

  * Fix: if there is no ia_add between eval $ia_init and ia 
    this will result in an endless loop

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 17 Jan 2019 15:48:36 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: shellia
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: gawk
 Description: shell interactive library
  shellia is a library that allows one to run shell scripts interactive and
  helps to familiarize oneself with a shell script, find unexpected behaviour

## shellia 5.3.1

=== debian/changelog ===
shellia (5.3.1) unstable; urgency=medium

  * bug fixed in function ia_add(), that prevented build on buster and sid
  * added build dependency bc

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 01 Feb 2019 07:50:34 +0100

## shellia 5.3.2

=== debian/changelog ===
shellia (5.3.2) unstable; urgency=medium

  * fixed BUG shellia: FTBFS: tests failed. shellia test scripts now
    recognizes, that newer versions of busybox sh add single quotes
    to trace output (example: previous output of
    busybox sh -c "set -x; echo \"1 2\"; set +x" started
    with: + echo 1 2 and now start with: + echo '1 2'). closes: #924855

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 18 Mar 2019 10:02:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
-Build-Depends: debhelper (>= 9.0.0), dash, busybox, mksh, posh, python-docutils, time
+Build-Depends: debhelper (>= 9.0.0), dash, busybox, mksh, posh, python-docutils, time, bc
 Standards-Version: 3.9.8
 Homepage: https://salsa.debian.org/bs/shellia

## shellia 5.3.2+nmu1

=== debian/changelog ===
shellia (5.3.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:05:52 +0800

## shellia 5.5

=== debian/changelog ===
shellia (5.5) unstable; urgency=medium

  * Using python3-docutils instead of python-docutils because of
    Python2 removal in sid/bullseye. closes: #943269

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 23 Oct 2019 14:28:33 +0200

shellia (5.4.1) unstable; urgency=medium

  * Only source package build for upload

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 06 Sep 2019 08:08:38 +0200

shellia (5.4) unstable; urgency=medium

  * new debian version 5.4

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 26 Aug 2019 11:13:36 +0200

shellia (5.4~17) unstable; urgency=medium

  * added test to use environment variables dbg_run_level and dbg_run_names

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 15 Jul 2019 14:43:12 +0200

shellia (5.4~16) unstable; urgency=medium

  * find libraries with ia_find_lib() also on mounted discs
  * new test prefix_change

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 07 Jun 2019 11:44:31 +0200

shellia (5.4~15) unstable; urgency=medium

  * added option -f for ia_nocheck
    ia_nocheck will not check stdout and stderr.
    ia_nocheck -f will not check stdout, stderr and exitcode.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 16 May 2019 08:07:19 +0200

shellia (5.4~14) unstable; urgency=medium

  * recommends gawk, because regular expressions from awk are used in
    ia_ignore and ia_stdout commands
  * build-depends gawk, because automatic tests while building shellia
    use ia_ignore and ia_stdout commands that expect gawk regular
    expressions

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 08 May 2019 10:29:33 +0200

shellia (5.4~13) unstable; urgency=medium

  * development directories restructured
  * make sure that always not-installed-files are tested

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 04 May 2019 20:25:18 +0200

shellia (5.4~12) unstable; urgency=medium

  * ia_ignore and ia_stdout do not need to handle color-control-codes any more

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 03 May 2019 14:43:04 +0200

shellia (5.4~11) unstable; urgency=medium

  * better handling of command "return" in ia_add argument.
  * fixed tests that did not correct test "return" handling
  * added example/test.return2 to test "return"

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 27 Apr 2019 18:23:36 +0200

shellia (5.4~10) unstable; urgency=medium

  * fix: match variable in \$<variable> with \w\+
  * on test run error, while building debian package, give shortened difference
    between expectation and result
  * added comment to manpage, when to use ia_stdout

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 26 Mar 2019 10:20:51 +0100

shellia (5.4~9) unstable; urgency=medium

  * added library mylib that shows how shellia could be cutomized
  * added example example.mylib that uses mylib
    shows how ssh can be used to call scripts that also use shellia

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 22 Mar 2019 12:19:58 +0100

shellia (5.4~8) unstable; urgency=medium

  * added wrong-missing-ia_init check, to help the programmer of a
    script using shellia to find errors

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 19 Mar 2019 12:12:45 +0100

shellia (5.4~7) unstable; urgency=medium

  * fixed a backslash error in ia.check, enhanced test.backslash2 and
    example.bacslash2 to check this fix in future releases

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 17 Mar 2019 12:04:04 +0100

shellia (5.4~6) unstable; urgency=medium

  * instead of \$variable allow to write \$<variable> to be able to switch
  * the actual command with v

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 16 Mar 2019 15:33:37 +0100

shellia (5.4~5) unstable; urgency=medium

  * in scripts not delivered in debian package always use /bin/echo instead
    of echo, to prevent problems resulting from different echo commands
  * in ia.libraries use raw colors precreated with /bin/echo -e once in
    ia.basic
  * added some new idea to TODO
  * fixed output and log of commands with backslashes (the commands itself
    already worked)
  * created example.backslash2 and test.backslash2 to make sure the fix
    described in previous line will not break in future releases
  * changed ia_easy_backslash to only accept input per pipe

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 04 Mar 2019 14:21:28 +0100

shellia (5.4~4) unstable; urgency=medium

  * "example.ia-s" now only tests without error, including script stdout,
    because "example.ia-c-s-m to" already tests errors
  * fiexed ia option --learn

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 13 Feb 2019 10:55:48 +0100

shellia (5.4~3) unstable; urgency=medium

  * added ia option --learn

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 10 Feb 2019 19:30:00 +0100

shellia (5.4~2) unstable; urgency=medium

  * split ia_check() in
    ia_check_c(), ia_check_C(), ia_result() and ia_check_and_result()

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 10 Feb 2019 19:00:00 +0100

shellia (5.4~1) unstable; urgency=medium

  * allow earlier access to variable ia_use_silent

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 05 Feb 2019 10:25:19 +0100

## shellia 5.6

=== Makefile ===
#        file: Makefile
#   copyright: Bernd Schumacher <bernd.schumacher@hpe.com> (2007-2018)
#     license: GNU General Public License, version 3
# description: build shellia debian package

SHARE    = $(DESTDIR)/usr/share/shellia
TESTS    = $(shell /bin/ls tests/test.*)
EXAMPLES = $(shell /bin/ls tests/example.* | grep -v "tmp")
HELLO    = $(shell /bin/ls examples/hello_world*)
LIBS     = $(shell /bin/ls ia*)

all: shellia

clean:		
	@# to clean debian files, run make clean from parent directory
	@rm -f shellia.?
	@rm -f tests/example*.tmp.* examples/hello_world*.tmp.*
	@rm -f res exp r4s res.org

install: $(LIBS)
	@mkdir -p $(SHARE); \
	for i in $^; do \
		install -o root -g root -m 0755 $$i $(SHARE)/; \
	done

shellia: shellia-tested-stamp shellia.1 shellia.3 shellia.7

shellia-tested-stamp: run_tests $(LIBS) $(TESTS) $(EXAMPLES) $(HELLO)
ifeq ($(NOTEST),)
	@rm -f $@
	@./run_tests && touch $@
endif

shellia.1: shellia-1.rst
	@rst2man $< $@

shellia.3: shellia-3.rst
	@rst2man $< $@

shellia.7: shellia-7.rst
	@rst2man $< $@

dbg:
	@echo "TESTS=<$(TESTS)>"
	@echo "EXAMPLES=<$(EXAMPLES)>"
	@echo "HELLO=<$(HELLO)>"

=== debian/changelog ===
shellia (5.6) unstable; urgency=medium

  * new debian version 5.6

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 19 Dec 2019 08:39:03 +0100

shellia (5.6~1) unstable; urgency=medium

  * added: in case of premature exit, print everything that could
    not be checked before exit

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 13 Dec 2019 14:02:54 +0100

shellia (5.5.1) unstable; urgency=medium

  * fixed ia_easy_backslash:
    If sed is called with --unbuffered, sed can be either /usr/bin/sed or
    /bin/sed but not "busybox sh"'s sed.
  * fixed ia_easy_backslash option "-1" instead of "1"

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Thu, 07 Nov 2019 13:54:36 +0100

## shellia 5.6.1

=== debian/changelog ===
shellia (5.6.1) unstable; urgency=medium

  * fixed test.ia-c-s-m where mksh now gives better output since
    mksh version 57-6. closes: #952260

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 25 Feb 2020 10:20:25 +0100

shellia (5.6.1~03) unstable; urgency=medium

  * upgraded copyright line in sources

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 06 Jan 2020 16:13:09 +0100

shellia (5.6.1~02) unstable; urgency=medium

  * fixed deletion of ia_mktemp created files with exit trap in subfunctions
  * tests now also check for undeleted /tmp/shellia.* files.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 03 Jan 2020 16:15:50 +0100

shellia (5.6.1~01) unstable; urgency=medium

  * fixed examples/mylib to use ia_esay_backslash with option -2

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 27 Dec 2019 16:21:54 +0100

=== debian/control ===
Source: shellia
Section: libs
Priority: optional
Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
Build-Depends: debhelper (>= 9.0.0), dash, busybox, mksh, posh, python3-docutils, time, bc, gawk
Standards-Version: 3.9.8
Homepage: https://salsa.debian.org/bs/shellia

Package: shellia
Architecture: all
Depends: ${misc:Depends}, awk
Recommends: gawk
Description: shell interactive library
 shellia is a library that allows one to run shell scripts interactive and
 helps to familiarize oneself with a shell script, find unexpected behaviour
 in the shell script, and run the shell script silently, while checking it
 step by step.

## shellia 5.6.3

=== debian/changelog ===
shellia (5.6.3) unstable; urgency=medium

  * using mktemp instead of tempfile. Closes: #963447
  * changed debian/compat from 9 to 10

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 22 Jun 2020 09:57:13 +0200

shellia (5.6.3~1) unstable; urgency=medium

  * examples/mylib: fixed function my_ssh when used with option -t
  * ia.interactive: using variable ia_i instead of i
  * shellia-3.rst: added warning not to use variables starting with
    ia_ in scripts using shellia
  * ia_backslash: do not escape the special shellia notation $<var>

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 15 May 2020 09:31:08 +0200

shellia (5.6.2) unstable; urgency=medium

  * warn when script uses dbg with non-numeric dbglevel
  * added tests/example.debug_badlevel and tests/test.debug_badlevel

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 22 Apr 2020 09:35:53 +0200

shellia (5.6.2~01) unstable; urgency=medium

  * fixed spelling error
  * added tests/example.eval and tests/test.eval

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 12 Apr 2020 19:08:55 +0200

## shellia 5.6.4

=== debian/changelog ===
shellia (5.6.4) unstable; urgency=medium

  * prepare for debian release

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sat, 29 Aug 2020 14:22:00 +0200

shellia (5.6.4~2) UNRELEASED; urgency=medium

  * cleanup examples/mylib
  * added more features to ia.basic/ia_ask()

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 11 Aug 2020 16:05:08 +0200

shellia (5.6.4~1) UNRELEASED; urgency=medium

  * function ia_easy_backslash has now options --dollar, --backslash and --quote
  * in manpage explain that $<var> behaves like \${var} and not like ${var}.
  * make manpages better readable with man command

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Fri, 07 Aug 2020 07:57:51 +0200

## shellia 5.6.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #        file: Makefile
-#   copyright: Bernd Schumacher <bernd.schumacher@hpe.com> (2007-2018)
+#   copyright: Bernd Schumacher <bernd.schumacher@hpe.com> (2007-2020)
 #     license: GNU General Public License, version 3
 # description: build shellia debian package

=== debian/changelog ===
shellia (5.6.5) unstable; urgency=medium

  * always use gawk instead of awk to make testing more reliable

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 04 Nov 2020 19:50:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 Package: shellia
 Architecture: all
-Depends: ${misc:Depends}, awk
-Recommends: gawk
+Depends: ${misc:Depends}, gawk
 Description: shell interactive library
  shellia is a library that allows one to run shell scripts interactive and
  helps to familiarize oneself with a shell script, find unexpected behaviour

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1
export DH_QUIET=1

%:
	dh $@

override_dh_compress:
	dh_compress -X examples/mylib

## shellia 5.7.1

=== debian/changelog ===
shellia (5.7.1) unstable; urgency=medium

  * fix of higlevel function ia_ssh() to return correct exit code

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Mon, 04 Apr 2022 17:38:59 +0200

shellia (5.7) unstable; urgency=medium

  * better log handling of remote shellia scripts, that are called from local
    shellia scripts with ssh; see ia_ssh in SHELLIA(3)
  * better support for key press v; see "variable in Interactive-mode"
    in SHELLIA(3)

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 08 Mar 2022 15:26:56 +0100

## shellia 5.7.2

=== debian/changelog ===
shellia (5.7.2) unstable; urgency=medium

  * ignore new warning from bash (bash behaves as before, only adds warning):
    "pop_var_context: head of shell_variables not a function context"
    closes: #1020200

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Sun, 18 Sep 2022 14:08:38 +0200

## shellia 5.7.4

=== Makefile ===
#        file: Makefile
#   copyright: Bernd Schumacher <bernd.schumacher@hpe.com> (2007-2020)
#     license: GNU General Public License, version 3
# description: build shellia debian package

SHARE    = $(DESTDIR)/usr/share/shellia
TESTS    = $(shell /bin/ls tests/test.*)
EXAMPLES = $(shell /bin/ls tests/example.* | grep -v "tmp")
LIBS     = $(shell /bin/ls ia*)

all: shellia.1 shellia.3 shellia.7 shellia-tested-stamp

clean:		
	@# to clean debian files, run make clean from parent directory
	@rm -f shellia.?
	@rm -f tests/example*.tmp.* tests/hello_world*.tmp.*
	@rm -f res exp r4s res.org

install: $(LIBS)
	@mkdir -p $(SHARE); \
	for i in $^; do \
		install -o root -g root -m 0755 $$i $(SHARE)/; \
	done

shellia-tested-stamp: run_tests $(LIBS) $(TESTS) $(EXAMPLES)
ifeq ($(NOTEST),)
	@rm -f $@
	@./run_tests && touch $@
endif

shellia.1: shellia-1.rst
	@rst2man $< $@

shellia.3: shellia-3.rst
	@rst2man $< $@

shellia.7: shellia-7.rst
	@rst2man $< $@

dbg:
	@echo "TESTS=<$(TESTS)>"
	@echo "EXAMPLES=<$(EXAMPLES)>"

=== debian/changelog ===
shellia (5.7.4) unstable; urgency=medium

  * added basic function ia_prep_args4eval()
  * added option --on-ia-fd to ia_ssh

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Wed, 12 Oct 2022 11:09:01 +0200

shellia (5.7.3) unstable; urgency=medium

  * Fix: allow option <ssh-options> for function ia_ssh() to contain spaces.

 -- Bernd Schumacher <bernd.schumacher@hpe.com>  Tue, 11 Oct 2022 07:57:02 +0200

## shellia 5.7.5

=== debian/changelog ===
shellia (5.7.5) unstable; urgency=medium

  * using /bin/echo instead of echo more consequent, because
    the problem that backslashes are handled different in some shells
    still exists, as shown in script test.backslash_handling
    in directory shell_differences.
  * ia_ssh now like eval accepts script in more then one parameter. This means
    ia_ssh not only accepts <shellia-script> as last argument, but also 
    [<shellia-script> ...]
  * using [ -n "$var" ] instead of [ "$var" ] more consequent, because of
    possible bad behaviour in some shells, as shown in script test.test_handling
    in directory shell_differences.
  * run_tests now creates res.cmd for each single test, to easier reproduce
    problems in development. Files that could help to debug a test error,
    are now copied in the temporary directory dbgerr
  * changed email to bernd@bschu.de
  * extensive tested with debian bookworm
  * Standards-Version: 4.6.1

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 08 Dec 2022 13:41:39 +0100

## shellia 5.7.6

=== debian/changelog ===
shellia (5.7.6) unstable; urgency=medium

  * fix ia_ssh to deliver correct return value

 -- Bernd Schumacher <bernd@bschu.de>  Sat, 18 Feb 2023 16:41:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: shellia
 Section: libs
 Priority: optional
-Maintainer: Bernd Schumacher <bernd.schumacher@hpe.com>
-Build-Depends: debhelper (>= 9.0.0), dash, busybox, mksh, posh, python3-docutils, time, bc, gawk
-Standards-Version: 3.9.8
-Homepage: https://salsa.debian.org/bs/shellia
+Maintainer: Bernd Schumacher <bernd@bschu.de>
+Rules-Requires-Root: binary-targets
+Build-Depends:
+ debhelper-compat (= 13), dash, busybox, mksh, posh, python3-docutils, time, bc, gawk
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/bs/shellia
+Vcs-Git: https://salsa.debian.org/bs/shellia.git
 
 Package: shellia
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
# export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_compress:
	dh_compress -X examples/mylib


# dh_make generated override targets.
# This is an example for Cmake (see <https://bugs.debian.org/641051>).
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## shellia 5.8

=== debian/changelog ===
shellia (5.8) unstable; urgency=medium

  * fix ia_check to deliver return of failed function as exit code
    if available and only use static return code if not available
    tested with tests/test.hello_world_error and tests/test.ia-c-s-m
  * added new example tests/example.ssh_policy and test cases
    tests/test.ssh_policy*
  * Standards-Version: 4.6.2
  * tested with debian trixie

 -- Bernd Schumacher <bernd@bschu.de>  Thu, 07 Dec 2023 08:58:07 +0100

## shellia 5.9

=== debian/changelog ===
shellia (5.9) unstable; urgency=medium

  * enhanced function ia_easy_backslash: added option --backquote
  * added function ia_set2var
  * added function ia_set_minus

 -- Bernd Schumacher <bernd@bschu.de>  Fri, 26 Jan 2024 11:41:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: binary-targets
 Build-Depends:
  debhelper-compat (= 13), dash, busybox, mksh, posh, python3-docutils, time, bc, gawk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/bs/shellia
 Vcs-Git: https://salsa.debian.org/bs/shellia.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # See debhelper(7) (uncomment to enable).
 # Output every command that modifies files on the build system.
-# export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 
 
 # See FEATURE AREAS in dpkg-buildflags(1).
@@ -21,7 +21,6 @@
 override_dh_compress:
 	dh_compress -X examples/mylib
 
-
 # dh_make generated override targets.
 # This is an example for Cmake (see <https://bugs.debian.org/641051>).
 #override_dh_auto_configure:

## shellia 5.10

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 	@rm -f shellia.?
 	@rm -f tests/example*.tmp.* tests/hello_world*.tmp.*
 	@rm -f res exp r4s res.org
+	@rm -rf dbgerr
 
 install: $(LIBS)
 	@mkdir -p $(SHARE); \

=== debian/changelog ===
shellia (5.10) unstable; urgency=medium

  * try to fix found bug in unknown reproduce environment without fakeroot
    (best guess using ischroot in sshd2222) closes: #1111624
  * fix some spelling errors
  * cleaned debian rules
  * Standard-Version: 4.7.2

 -- Bernd Schumacher <bernd@bschu.de>  Fri, 22 Aug 2025 10:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Rules-Requires-Root: binary-targets
 Build-Depends:
  debhelper-compat (= 13), dash, busybox, mksh, posh, python3-docutils, time, bc, gawk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/bs/shellia
 Vcs-Git: https://salsa.debian.org/bs/shellia.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_compress:
	dh_compress -X examples/mylib
